#ifndef QJS_SDL_GPU_H
#define QJS_SDL_GPU_H

#include "jsffi.h"
#include "sprite.h"

// Forward declarations for sprite sorting functions
int sort_sprite(const sprite *a, const sprite *b);
int sort_sprite_backtofront(const sprite *a, const sprite *b);
int sort_sprite_fronttoback(const sprite *a, const sprite *b);
int sort_sprite_texture(const sprite *a, const sprite *b);

JSValue js_sdl_gpu_use(JSContext *js);

#endif
